Index: /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-api-def.props
===================================================================
--- /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-api-def.props	(revision 5513)
+++ /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-api-def.props	(revision 5514)
@@ -10,5 +10,5 @@
      * WinPhone8    (Windows Phone 8)
     -->
-    <API_Family>UWP</API_Family>
+    <API_Family>WinDesktop</API_Family>
   </PropertyGroup>
 </Project>
Index: /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-defaults.props
===================================================================
--- /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-defaults.props	(revision 5513)
+++ /pjproject/branches/projects/uwp/build/vs/pjproject-vs14-common-defaults.props	(revision 5514)
@@ -21,8 +21,9 @@
       <CompileAsWinRT>false</CompileAsWinRT>
       <PrecompiledHeader>NotUsing</PrecompiledHeader>
+      <SDLCheck>false</SDLCheck>
     </ClCompile>
     <Lib>
       <OutputFile>..\lib\$(ProjectName)-$(TargetCPU)-$(Platform)-vc$(VSVer)-$(Configuration).lib</OutputFile>
-      <AdditionalOptions>/Ignore:4264 %(AdditionalOptions)</AdditionalOptions>      
+      <AdditionalOptions>/Ignore:4264 %(AdditionalOptions)</AdditionalOptions>
     </Lib>
     <Link>
Index: /pjproject/branches/projects/uwp/pjmedia/src/pjmedia-audiodev/audiodev.c
===================================================================
--- /pjproject/branches/projects/uwp/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 5513)
+++ /pjproject/branches/projects/uwp/pjmedia/src/pjmedia-audiodev/audiodev.c	(revision 5514)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include <pjmedia-audiodev/audiodev_imp.h>
@@ -93,6 +93,6 @@
 
     /* Register error subsystem */
-    status = pj_register_strerror(PJMEDIA_AUDIODEV_ERRNO_START, 
-				  PJ_ERRNO_SPACE_SIZE, 
+    status = pj_register_strerror(PJMEDIA_AUDIODEV_ERRNO_START,
+				  PJ_ERRNO_SPACE_SIZE,
 				  &pjmedia_audiodev_strerror);
     pj_assert(status == PJ_SUCCESS);
@@ -138,5 +138,5 @@
 #endif
 #if PJMEDIA_AUDIO_DEV_HAS_WASAPI
-    aud_subsys.drv[aud_subsys.drv_cnt++].create = &pjmedia_wasapi_factory;
+    aud_subsys->drv[aud_subsys->drv_cnt++].create = &pjmedia_wasapi_factory;
 #endif
 #if PJMEDIA_AUDIO_DEV_HAS_NULL_AUDIO
Index: /pjproject/branches/projects/uwp/pjproject-vs14.sln
===================================================================
--- /pjproject/branches/projects/uwp/pjproject-vs14.sln	(revision 5513)
+++ /pjproject/branches/projects/uwp/pjproject-vs14.sln	(revision 5514)
@@ -2,5 +2,5 @@
 Microsoft Visual Studio Solution File, Format Version 12.00
 # Visual Studio 14
-VisualStudioVersion = 14.0.23107.0
+VisualStudioVersion = 14.0.25420.1
 MinimumVisualStudioVersion = 10.0.40219.1
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{1DFF1CF3-DBD7-4DA4-A36D-663D695EB678}"
@@ -53,6 +53,4 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libilbccodec", "third_party\build\ilbc\libilbccodec.vcxproj", "{B5FE16F8-3EDB-4110-BD80-B4238CC01E8D}"
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libportaudio", "third_party\build\portaudio\libportaudio.vcxproj", "{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}"
-EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libresample", "third_party\build\resample\libresample.vcxproj", "{6794B975-4E84-4F49-B2DC-C31F2224E03E}"
 EndProject
@@ -97,9 +95,7 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjsua_cli_wp8_comp", "pjsip-apps\src\pjsua\winrt\cli\comp\pjsua_cli_wp8_comp.vcxproj", "{E75EFD41-C7F5-44C8-8FF1-A310D920989D}"
 EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "pjsua_winrt", "pjsua_winrt", "{54F6163A-66C6-4F09-844D-CC61DE8EE376}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "winrt sample", "winrt sample", "{78DA8BE5-2D77-49D6-8CA4-7847B65DBE84}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "uwp foreground", "uwp foreground", "{452C38CE-6463-4963-A113-658B6BD91D15}"
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "pjsua_winrt_cli", "pjsua_winrt_cli", "{54F6163A-66C6-4F09-844D-CC61DE8EE376}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "pjsua_winrt_gui", "pjsua_winrt_gui", "{78DA8BE5-2D77-49D6-8CA4-7847B65DBE84}"
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "wp8", "wp8", "{DE5C2BE2-873A-4B85-8EBE-8AEA4C80212F}"
@@ -113,8 +109,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UI", "pjsip-apps\src\pjsua\winrt\gui\wp8\UI\UI.csproj", "{3085ACA0-00DA-45BF-9110-A3684B56EBBA}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "UI", "pjsip-apps\src\pjsua\winrt\gui\uwp foreground\UI\UI.csproj", "{D51DC5BE-5822-4B94-891C-E1B1B7892939}"
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "BackEnd", "pjsip-apps\src\pjsua\winrt\gui\uwp foreground\BackEnd\BackEnd.vcxproj", "{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}"
-EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "uwp", "uwp", "{87D83489-039E-4123-BE01-CB62EE932A29}"
 EndProject
@@ -126,8 +118,11 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "VoipTasks", "pjsip-apps\src\pjsua\winrt\gui\uwp\VoipTasks\VoipTasks.csproj", "{9FDF5E33-D15D-409F-876E-4E77727936B9}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libyuv", "third_party\build\yuv\libyuv.vcxproj", "{6AC9B65F-0862-4A5C-8A9D-141516993130}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "libwebrtc", "third_party\build\webrtc\libwebrtc.vcxproj", "{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}"
 EndProject
 Global
 	GlobalSection(SharedMSBuildProjectFiles) = preSolution
-		pjsip-apps\src\pjsua\winrt\cli\comp\pjsua_cli_shared_comp.vcxitems*{207e7bd4-7b11-4a40-ba3a-cc627762a7b6}*SharedItemsImports = 4
 		pjsip-apps\src\pjsua\winrt\cli\comp\pjsua_cli_shared_comp.vcxitems*{45d41acc-2c3c-43d2-bc10-02aa73ffc7c7}*SharedItemsImports = 9
 	EndGlobalSection
@@ -771,40 +766,4 @@
 		{B5FE16F8-3EDB-4110-BD80-B4238CC01E8D}.Release-Static|x64.ActiveCfg = Release-Static|x64
 		{B5FE16F8-3EDB-4110-BD80-B4238CC01E8D}.Release-Static|x64.Build.0 = Release-Static|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|Any CPU.ActiveCfg = Debug|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|ARM.ActiveCfg = Debug|ARM
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|Win32.ActiveCfg = Debug|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|Win32.Build.0 = Debug|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|x64.ActiveCfg = Debug|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug|x64.Build.0 = Debug|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|Any CPU.ActiveCfg = Debug-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|ARM.ActiveCfg = Debug-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|Win32.ActiveCfg = Debug-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|Win32.Build.0 = Debug-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|x64.ActiveCfg = Debug-Dynamic|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Dynamic|x64.Build.0 = Debug-Dynamic|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|Any CPU.ActiveCfg = Debug-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|ARM.ActiveCfg = Debug-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|Win32.ActiveCfg = Debug-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|Win32.Build.0 = Debug-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|x64.ActiveCfg = Debug-Static|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Debug-Static|x64.Build.0 = Debug-Static|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|Any CPU.ActiveCfg = Release|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|ARM.ActiveCfg = Release|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|Win32.ActiveCfg = Release|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|Win32.Build.0 = Release|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|x64.ActiveCfg = Release|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release|x64.Build.0 = Release|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|Any CPU.ActiveCfg = Release-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|ARM.ActiveCfg = Release-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|Win32.ActiveCfg = Release-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|Win32.Build.0 = Release-Dynamic|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|x64.ActiveCfg = Release-Dynamic|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Dynamic|x64.Build.0 = Release-Dynamic|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|Any CPU.ActiveCfg = Release-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|ARM.ActiveCfg = Release-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|Win32.ActiveCfg = Release-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|Win32.Build.0 = Release-Static|Win32
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|x64.ActiveCfg = Release-Static|x64
-		{3CF9FFA9-8387-4635-9D1B-E7944CBEFEAA}.Release-Static|x64.Build.0 = Release-Static|x64
 		{6794B975-4E84-4F49-B2DC-C31F2224E03E}.Debug|Any CPU.ActiveCfg = Debug|Win32
 		{6794B975-4E84-4F49-B2DC-C31F2224E03E}.Debug|ARM.ActiveCfg = Debug|ARM
@@ -1877,118 +1836,4 @@
 		{3085ACA0-00DA-45BF-9110-A3684B56EBBA}.Release-Static|x64.Build.0 = Release|x64
 		{3085ACA0-00DA-45BF-9110-A3684B56EBBA}.Release-Static|x64.Deploy.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|ARM.ActiveCfg = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|ARM.Build.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|ARM.Deploy.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|Win32.ActiveCfg = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|Win32.Build.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|Win32.Deploy.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|x64.ActiveCfg = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|x64.Build.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug|x64.Deploy.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Any CPU.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Any CPU.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Any CPU.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|ARM.ActiveCfg = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|ARM.Build.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|ARM.Deploy.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Win32.ActiveCfg = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Win32.Build.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|Win32.Deploy.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|x64.ActiveCfg = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|x64.Build.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Dynamic|x64.Deploy.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Any CPU.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Any CPU.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Any CPU.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|ARM.ActiveCfg = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|ARM.Build.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|ARM.Deploy.0 = Debug|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Win32.ActiveCfg = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Win32.Build.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|Win32.Deploy.0 = Debug|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|x64.ActiveCfg = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|x64.Build.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Debug-Static|x64.Deploy.0 = Debug|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|Any CPU.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|ARM.ActiveCfg = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|ARM.Build.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|ARM.Deploy.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|Win32.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|Win32.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|Win32.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|x64.ActiveCfg = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|x64.Build.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release|x64.Deploy.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Any CPU.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Any CPU.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Any CPU.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|ARM.ActiveCfg = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|ARM.Build.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|ARM.Deploy.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Win32.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Win32.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|Win32.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|x64.ActiveCfg = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|x64.Build.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Dynamic|x64.Deploy.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Any CPU.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Any CPU.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Any CPU.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|ARM.ActiveCfg = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|ARM.Build.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|ARM.Deploy.0 = Release|ARM
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Win32.ActiveCfg = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Win32.Build.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|Win32.Deploy.0 = Release|x86
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|x64.ActiveCfg = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|x64.Build.0 = Release|x64
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939}.Release-Static|x64.Deploy.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|Any CPU.ActiveCfg = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|ARM.ActiveCfg = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|ARM.Build.0 = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|Win32.ActiveCfg = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|Win32.Build.0 = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|x64.ActiveCfg = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug|x64.Build.0 = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|Any CPU.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|Any CPU.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|ARM.ActiveCfg = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|ARM.Build.0 = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|Win32.ActiveCfg = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|Win32.Build.0 = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|x64.ActiveCfg = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Dynamic|x64.Build.0 = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|Any CPU.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|Any CPU.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|ARM.ActiveCfg = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|ARM.Build.0 = Debug|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|Win32.ActiveCfg = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|Win32.Build.0 = Debug|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|x64.ActiveCfg = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Debug-Static|x64.Build.0 = Debug|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|Any CPU.ActiveCfg = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|ARM.ActiveCfg = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|ARM.Build.0 = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|Win32.ActiveCfg = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|Win32.Build.0 = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|x64.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release|x64.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|Any CPU.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|Any CPU.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|ARM.ActiveCfg = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|ARM.Build.0 = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|Win32.ActiveCfg = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|Win32.Build.0 = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|x64.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Dynamic|x64.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|Any CPU.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|Any CPU.Build.0 = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|ARM.ActiveCfg = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|ARM.Build.0 = Release|ARM
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|Win32.ActiveCfg = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|Win32.Build.0 = Release|Win32
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|x64.ActiveCfg = Release|x64
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A}.Release-Static|x64.Build.0 = Release|x64
 		{B11B5672-B1E8-4C77-BDA1-4E6620F96BF9}.Debug|Any CPU.ActiveCfg = Debug|x86
 		{B11B5672-B1E8-4C77-BDA1-4E6620F96BF9}.Debug|ARM.ActiveCfg = Debug|ARM
@@ -2219,4 +2064,76 @@
 		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release-Static|x64.ActiveCfg = Release|x64
 		{9FDF5E33-D15D-409F-876E-4E77727936B9}.Release-Static|x64.Build.0 = Release|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|Any CPU.ActiveCfg = Debug|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|ARM.ActiveCfg = Debug|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|Win32.ActiveCfg = Debug|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|Win32.Build.0 = Debug|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|x64.ActiveCfg = Debug|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug|x64.Build.0 = Debug|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|Any CPU.ActiveCfg = Debug-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|ARM.ActiveCfg = Debug-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|Win32.ActiveCfg = Debug-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|Win32.Build.0 = Debug-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|x64.ActiveCfg = Debug-Dynamic|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Dynamic|x64.Build.0 = Debug-Dynamic|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|Any CPU.ActiveCfg = Debug-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|ARM.ActiveCfg = Debug-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|Win32.ActiveCfg = Debug-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|Win32.Build.0 = Debug-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|x64.ActiveCfg = Debug-Static|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Debug-Static|x64.Build.0 = Debug-Static|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|Any CPU.ActiveCfg = Release|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|ARM.ActiveCfg = Release|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|Win32.ActiveCfg = Release|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|Win32.Build.0 = Release|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|x64.ActiveCfg = Release|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release|x64.Build.0 = Release|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|Any CPU.ActiveCfg = Release-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|ARM.ActiveCfg = Release-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|Win32.ActiveCfg = Release-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|Win32.Build.0 = Release-Dynamic|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|x64.ActiveCfg = Release-Dynamic|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Dynamic|x64.Build.0 = Release-Dynamic|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|Any CPU.ActiveCfg = Release-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|ARM.ActiveCfg = Release-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|Win32.ActiveCfg = Release-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|Win32.Build.0 = Release-Static|Win32
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|x64.ActiveCfg = Release-Static|x64
+		{6AC9B65F-0862-4A5C-8A9D-141516993130}.Release-Static|x64.Build.0 = Release-Static|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|Any CPU.ActiveCfg = Debug|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|ARM.ActiveCfg = Debug|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|Win32.ActiveCfg = Debug|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|Win32.Build.0 = Debug|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|x64.ActiveCfg = Debug|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug|x64.Build.0 = Debug|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|Any CPU.ActiveCfg = Debug-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|ARM.ActiveCfg = Debug-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|Win32.ActiveCfg = Debug-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|Win32.Build.0 = Debug-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|x64.ActiveCfg = Debug-Dynamic|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Dynamic|x64.Build.0 = Debug-Dynamic|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|Any CPU.ActiveCfg = Debug-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|ARM.ActiveCfg = Debug-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|Win32.ActiveCfg = Debug-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|Win32.Build.0 = Debug-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|x64.ActiveCfg = Debug-Static|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Debug-Static|x64.Build.0 = Debug-Static|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|Any CPU.ActiveCfg = Release|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|ARM.ActiveCfg = Release|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|Win32.ActiveCfg = Release|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|Win32.Build.0 = Release|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|x64.ActiveCfg = Release|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release|x64.Build.0 = Release|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|Any CPU.ActiveCfg = Release-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|ARM.ActiveCfg = Release-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|Win32.ActiveCfg = Release-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|Win32.Build.0 = Release-Dynamic|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|x64.ActiveCfg = Release-Dynamic|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Dynamic|x64.Build.0 = Release-Dynamic|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|Any CPU.ActiveCfg = Release-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|ARM.ActiveCfg = Release-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|Win32.ActiveCfg = Release-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|Win32.Build.0 = Release-Static|Win32
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|x64.ActiveCfg = Release-Static|x64
+		{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}.Release-Static|x64.Build.0 = Release-Static|x64
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -2229,5 +2146,4 @@
 		{207E7BD4-7B11-4A40-BA3A-CC627762A7B6} = {54F6163A-66C6-4F09-844D-CC61DE8EE376}
 		{E75EFD41-C7F5-44C8-8FF1-A310D920989D} = {54F6163A-66C6-4F09-844D-CC61DE8EE376}
-		{452C38CE-6463-4963-A113-658B6BD91D15} = {78DA8BE5-2D77-49D6-8CA4-7847B65DBE84}
 		{DE5C2BE2-873A-4B85-8EBE-8AEA4C80212F} = {78DA8BE5-2D77-49D6-8CA4-7847B65DBE84}
 		{820034C1-645D-4340-8813-D980C1EF77DE} = {DE5C2BE2-873A-4B85-8EBE-8AEA4C80212F}
@@ -2235,6 +2151,4 @@
 		{BBABEEA1-494C-4618-96E3-399873A5558B} = {DE5C2BE2-873A-4B85-8EBE-8AEA4C80212F}
 		{3085ACA0-00DA-45BF-9110-A3684B56EBBA} = {DE5C2BE2-873A-4B85-8EBE-8AEA4C80212F}
-		{D51DC5BE-5822-4B94-891C-E1B1B7892939} = {452C38CE-6463-4963-A113-658B6BD91D15}
-		{9C5609A2-32A2-483F-81EC-DAC2ED96BF6A} = {452C38CE-6463-4963-A113-658B6BD91D15}
 		{87D83489-039E-4123-BE01-CB62EE932A29} = {78DA8BE5-2D77-49D6-8CA4-7847B65DBE84}
 		{B11B5672-B1E8-4C77-BDA1-4E6620F96BF9} = {87D83489-039E-4123-BE01-CB62EE932A29}
Index: /pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj
===================================================================
--- /pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj	(revision 5513)
+++ /pjproject/branches/projects/uwp/pjsip-apps/build/libpjproject.vcxproj	(revision 5514)
@@ -624,8 +624,4 @@
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
     </ProjectReference>
-    <ProjectReference Condition="'$(API_Family)'=='WinDesktop'" Include="..\..\third_party\build\portaudio\libportaudio.vcxproj">
-      <Project>{3cf9ffa9-8387-4635-9d1b-e7944cbefeaa}</Project>
-      <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
-    </ProjectReference>
     <ProjectReference Include="..\..\third_party\build\resample\libresample.vcxproj">
       <Project>{6794b975-4e84-4f49-b2dc-c31f2224e03e}</Project>
@@ -639,4 +635,10 @@
       <Project>{f0dbaa03-1ba3-4e3b-a2ca-727e3d3ab858}</Project>
       <ReferenceOutputAssembly>false</ReferenceOutputAssembly>
+    </ProjectReference>
+    <ProjectReference Include="..\..\third_party\build\webrtc\libwebrtc.vcxproj">
+      <Project>{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}</Project>
+    </ProjectReference>
+    <ProjectReference Include="..\..\third_party\build\yuv\libyuv.vcxproj">
+      <Project>{6ac9b65f-0862-4a5c-8a9d-141516993130}</Project>
     </ProjectReference>
   </ItemGroup>
Index: /pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj
===================================================================
--- /pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj	(revision 5513)
+++ /pjproject/branches/projects/uwp/third_party/build/srtp/libsrtp.vcxproj	(revision 5514)
@@ -178,5 +178,6 @@
   <PropertyGroup>
     <PlatformToolset>$(BuildToolset)</PlatformToolset>
-    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'"></CharacterSet>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'">
+    </CharacterSet>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
@@ -276,5 +277,5 @@
   <PropertyGroup>
     <_ProjectFileVersion>14.0.22823.1</_ProjectFileVersion>
-    <OutDir>..\..\lib\</OutDir>    
+    <OutDir>..\..\lib\</OutDir>
   </PropertyGroup>
   <!-- Compile and link option definition -->
@@ -287,5 +288,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -311,5 +312,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
       <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
@@ -322,5 +323,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -346,5 +347,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -356,5 +357,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -380,5 +381,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
       <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
@@ -391,5 +392,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -415,5 +416,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -425,5 +426,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -449,5 +450,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
       <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
@@ -460,5 +461,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -484,5 +485,5 @@
     <ClCompile>
       <AdditionalIncludeDirectories>.;../../srtp/include;../../srtp/crypto/include;../../../pjlib/include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>_LIB;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
     </ClCompile>
@@ -492,16 +493,60 @@
   </ItemDefinitionGroup>
   <ItemGroup>
-    <ClCompile Include="..\..\srtp\crypto\ae_xfm\xfm.c" />
     <ClCompile Include="..\..\srtp\crypto\cipher\aes.c" />
     <ClCompile Include="..\..\srtp\crypto\cipher\aes_cbc.c" />
+    <ClCompile Include="..\..\srtp\crypto\cipher\aes_gcm_ossl.c">
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
+    </ClCompile>
     <ClCompile Include="..\..\srtp\crypto\cipher\aes_icm.c" />
+    <ClCompile Include="..\..\srtp\crypto\cipher\aes_icm_ossl.c">
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
+    </ClCompile>
     <ClCompile Include="..\..\srtp\crypto\cipher\cipher.c" />
     <ClCompile Include="..\..\srtp\crypto\cipher\null_cipher.c" />
     <ClCompile Include="..\..\srtp\crypto\hash\auth.c" />
     <ClCompile Include="..\..\srtp\crypto\hash\hmac.c" />
+    <ClCompile Include="..\..\srtp\crypto\hash\hmac_ossl.c">
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
+    </ClCompile>
     <ClCompile Include="..\..\srtp\crypto\hash\null_auth.c" />
     <ClCompile Include="..\..\srtp\crypto\hash\sha1.c" />
     <ClCompile Include="..\..\srtp\crypto\kernel\alloc.c" />
-    <ClCompile Include="..\..\srtp\crypto\kernel\crypto_kernel.c" />
+    <ClCompile Include="..\..\srtp\crypto\kernel\crypto_kernel.c">
+      <DisableSpecificWarnings Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+      </DisableSpecificWarnings>
+    </ClCompile>
     <ClCompile Include="..\..\srtp\crypto\kernel\key.c" />
     <ClCompile Include="..\..\srtp\crypto\math\datatypes.c" />
@@ -513,6 +558,21 @@
     <ClCompile Include="..\..\srtp\crypto\rng\prng.c" />
     <ClCompile Include="..\..\srtp\crypto\rng\rand_source.c" />
+    <ClCompile Include="..\..\srtp\crypto\rng\rand_source_ossl.c">
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|Win32'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Dynamic|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug-Static|x64'">true</ExcludedFromBuild>
+      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release-Dynamic|x64'">true</ExcludedFromBuild>
+    </ClCompile>
     <ClCompile Include="..\..\srtp\pjlib\srtp_err.c" />
     <ClCompile Include="..\..\srtp\srtp\srtp.c" />
+    <ClCompile Include="..\..\srtp\srtp\ekt.c" />
   </ItemGroup>
   <ItemGroup>
@@ -543,5 +603,5 @@
     <ClInclude Include="..\..\srtp\crypto\include\sha1.h" />
     <ClInclude Include="..\..\srtp\crypto\include\stat.h" />
-    <ClInclude Include="..\..\srtp\crypto\include\xfm.h" />
+    <ClInclude Include="..\..\srtp\include\ekt.h" />
     <ClInclude Include="..\..\srtp\include\rtp.h" />
     <ClInclude Include="..\..\srtp\include\srtp.h" />
Index: /pjproject/branches/projects/uwp/third_party/build/webrtc/libwebrtc.vcxproj
===================================================================
--- /pjproject/branches/projects/uwp/third_party/build/webrtc/libwebrtc.vcxproj	(revision 5513)
+++ /pjproject/branches/projects/uwp/third_party/build/webrtc/libwebrtc.vcxproj	(revision 5514)
@@ -140,7 +140,11 @@
     <ClCompile Include="..\..\webrtc\src\webrtc\system_wrappers\source\cpu_features.cc" />
   </ItemGroup>
+  <!-- Import common config -->
+  <Import Project="..\..\..\build\vs\pjproject-vs14-common-config.props" />
   <PropertyGroup Label="Globals">
     <ProjectGuid>{5BCF2773-3825-4D91-9D72-3E2F650DF1DB}</ProjectGuid>
     <RootNamespace>libwebrtc</RootNamespace>
+    <!-- Specific UWP property -->
+    <DefaultLanguage>en-US</DefaultLanguage>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -216,4 +220,9 @@
     <UseOfMfc>false</UseOfMfc>
     <CharacterSet>MultiByte</CharacterSet>
+  </PropertyGroup>
+  <!-- Override the PlatformToolset -->
+  <PropertyGroup>
+    <PlatformToolset>$(BuildToolset)</PlatformToolset>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'"></CharacterSet>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
@@ -285,4 +294,10 @@
     <OutDir>..\..\lib\</OutDir>
   </PropertyGroup>
+  <!-- Compile and link option definition -->
+  <ItemDefinitionGroup>
+    <ClCompile>
+        <RuntimeLibrary Condition="'$(API_Family)'=='UWP'">MultiThreadedDebugDLL</RuntimeLibrary>
+    </ClCompile>
+  </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
     <ClCompile>
Index: /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj
===================================================================
--- /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj	(revision 5513)
+++ /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj	(revision 5514)
@@ -51,7 +51,11 @@
     </ProjectConfiguration>
   </ItemGroup>
+  <!-- Import common config -->
+  <Import Project="..\..\..\build\vs\pjproject-vs14-common-config.props" />
   <PropertyGroup Label="Globals">
     <ProjectGuid>{6AC9B65F-0862-4A5C-8A9D-141516993130}</ProjectGuid>
     <RootNamespace>libyuv</RootNamespace>
+    <!-- Specific UWP property -->
+    <DefaultLanguage>en-US</DefaultLanguage>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
@@ -127,4 +131,10 @@
     <UseOfMfc>false</UseOfMfc>
     <CharacterSet>MultiByte</CharacterSet>
+  </PropertyGroup>
+  <!-- Override the PlatformToolset -->
+  <PropertyGroup>
+    <PlatformToolset>$(BuildToolset)</PlatformToolset>
+    <CharacterSet Condition="'$(API_Family)'!='WinDesktop'">
+    </CharacterSet>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
@@ -196,4 +206,10 @@
     <OutDir>..\..\lib\</OutDir>
   </PropertyGroup>
+  <!-- Compile and link option definition -->
+  <ItemDefinitionGroup>
+    <ClCompile>
+      <RuntimeLibrary Condition="'$(API_Family)'=='UWP'">MultiThreadedDebugDLL</RuntimeLibrary>
+    </ClCompile>
+  </ItemDefinitionGroup>
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
     <ClCompile>
@@ -202,4 +218,5 @@
       <PreprocessorDefinitions>_LIB;_WINDOWS;HAVE_CONFIG_H;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <PrecompiledHeaderOutputFile />
+      <SDLCheck>false</SDLCheck>
     </ClCompile>
     <Lib>
Index: /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj.filters
===================================================================
--- /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj.filters	(revision 5513)
+++ /pjproject/branches/projects/uwp/third_party/build/yuv/libyuv.vcxproj.filters	(revision 5514)
@@ -12,91 +12,91 @@
   </ItemGroup>
   <ItemGroup>
-    <ClCompile Include="..\..\libyuv\source\compare.cc">
+    <ClCompile Include="..\..\yuv\source\compare.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\compare_common.cc">
+    <ClCompile Include="..\..\yuv\source\compare_common.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\compare_win.cc">
+    <ClCompile Include="..\..\yuv\source\compare_win.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert.cc">
+    <ClCompile Include="..\..\yuv\source\convert.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_argb.cc">
+    <ClCompile Include="..\..\yuv\source\convert_argb.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_from.cc">
+    <ClCompile Include="..\..\yuv\source\convert_from.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_from_argb.cc">
+    <ClCompile Include="..\..\yuv\source\convert_from_argb.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_jpeg.cc">
+    <ClCompile Include="..\..\yuv\source\convert_jpeg.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_to_argb.cc">
+    <ClCompile Include="..\..\yuv\source\convert_to_argb.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\convert_to_i420.cc">
+    <ClCompile Include="..\..\yuv\source\convert_to_i420.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\cpu_id.cc">
+    <ClCompile Include="..\..\yuv\source\cpu_id.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\mjpeg_decoder.cc">
+    <ClCompile Include="..\..\yuv\source\mjpeg_decoder.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\mjpeg_validate.cc">
+    <ClCompile Include="..\..\yuv\source\mjpeg_validate.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\planar_functions.cc">
+    <ClCompile Include="..\..\yuv\source\planar_functions.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\rotate.cc">
+    <ClCompile Include="..\..\yuv\source\rotate.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\rotate_any.cc">
+    <ClCompile Include="..\..\yuv\source\rotate_any.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\rotate_argb.cc">
+    <ClCompile Include="..\..\yuv\source\rotate_argb.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\rotate_common.cc">
+    <ClCompile Include="..\..\yuv\source\rotate_common.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\rotate_win.cc">
+    <ClCompile Include="..\..\yuv\source\rotate_win.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\row_any.cc">
+    <ClCompile Include="..\..\yuv\source\row_any.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\row_common.cc">
+    <ClCompile Include="..\..\yuv\source\row_common.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\row_win.cc">
+    <ClCompile Include="..\..\yuv\source\row_win.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\scale.cc">
+    <ClCompile Include="..\..\yuv\source\scale.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\scale_any.cc">
+    <ClCompile Include="..\..\yuv\source\scale_any.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\scale_argb.cc">
+    <ClCompile Include="..\..\yuv\source\scale_argb.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\scale_common.cc">
+    <ClCompile Include="..\..\yuv\source\scale_common.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\scale_win.cc">
+    <ClCompile Include="..\..\yuv\source\scale_win.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
-    <ClCompile Include="..\..\libyuv\source\video_common.cc">
+    <ClCompile Include="..\..\yuv\source\video_common.cc">
       <Filter>Source Files</Filter>
     </ClCompile>
   </ItemGroup>
   <ItemGroup>
-    <ClInclude Include="..\..\libyuv\include\libyuv.h">
+    <ClInclude Include="..\..\yuv\include\libyuv.h">
       <Filter>Header Files</Filter>
     </ClInclude>
Index: /pjproject/branches/projects/uwp/third_party/yuv/source/cpu_id.cc
===================================================================
--- /pjproject/branches/projects/uwp/third_party/yuv/source/cpu_id.cc	(revision 5513)
+++ /pjproject/branches/projects/uwp/third_party/yuv/source/cpu_id.cc	(revision 5514)
@@ -168,5 +168,5 @@
 // Test environment variable for disabling CPU features. Any non-zero value
 // to disable. Zero ignored to make it easy to set the variable on/off.
-#if !defined(__native_client__) && !defined(_M_ARM)
+#if !defined(__native_client__) && !defined(_M_ARM) && !defined(_MSC_VER)
 
 static LIBYUV_BOOL TestEnv(const char* name) {
